package dev.fyloz.trial.colorrecipesexplorer.core.services.model;

import dev.fyloz.trial.colorrecipesexplorer.core.model.Material;
import dev.fyloz.trial.colorrecipesexplorer.core.model.MixQuantity;
import dev.fyloz.trial.colorrecipesexplorer.core.services.AbstractService;
import dev.fyloz.trial.colorrecipesexplorer.dao.MixQuantityDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class MixQuantityService extends AbstractService<MixQuantity, MixQuantityDao> {

    public MixQuantityService() {
        super(MixQuantity.class);
    }

    @Autowired
    public void setMixQuantityDao(MixQuantityDao mixQuantityDao) {
        this.dao = mixQuantityDao;
    }

    /**
     * Vérifie s'il y a un mélange qui contient un produit.
     *
     * @param material Le produit
     * @return S'il y a un mélange qui contient le produit
     */
    public boolean existsByMaterial(Material material) {
        return dao.existsByMaterial(material);
    }
}
